Upstream information

CVE-2017-3511 at MITRE

Description

Vulnerability in the Java SE, Java SE Embedded, JRockit component of Oracle Java SE (subcomponent: JCE). Supported versions that are affected are Java SE: 7u131 and 8u121; Java SE Embedded: 8u121; JRockit: R28.3.13. Difficult to exploit vulnerability allows unauthenticated attacker with logon to the infrastructure where Java SE, Java SE Embedded, JRockit executes to compromise Java SE, Java SE Embedded, JRockit. Successful attacks require human interaction from a person other than the attacker and while the vulnerability is in Java SE, Java SE Embedded, JRockit, attacks may significantly impact additional products. Successful attacks of this vulnerability can result in takeover of Java SE, Java SE Embedded, JRockit. Note: Applies to client and server deployment of Java. This vulnerability can be exploited through sandboxed Java Web Start applications and sandboxed Java applets. It can also be exploited by supplying data to APIs in the specified Component without using sandboxed Java Web Start applications or sandboxed Java applets, such as through a web service. CVSS 3.0 Base Score 7.7 (Confidentiality, Integrity and Availability impacts). CVSS Vector: (CVSS:3.0/AV:L/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H).

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 3.70 3.70
Vector AV:L/AC:H/Au:N/C:P/I:P/A:P AV:L/AC:H/Au:N/C:P/I:P/A:P
Access Vector Local Local
Access Complexity High High
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.7
Vector AV:L/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H
Access Vector Local
Access Complexity High
Privileges Required None
User Interaction Required
Scope Changed
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entries: 1034849 [IN_PROGRESS], 1038505 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • java-1_7_0-openjdk >= 1.7.0.141-42.1
  • java-1_7_0-openjdk-headless >= 1.7.0.141-42.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-864
SUSE Linux Enterprise Desktop 12 SP2
  • java-1_7_0-openjdk >= 1.7.0.141-42.1
  • java-1_7_0-openjdk-headless >= 1.7.0.141-42.1
  • java-1_8_0-openjdk >= 1.8.0.131-26.3
  • java-1_8_0-openjdk-headless >= 1.8.0.131-26.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-864
SUSE-SLE-DESKTOP-12-SP2-2017-879
SUSE Linux Enterprise Point of Sale 11 SP3
  • java-1_7_0-ibm >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr10.5-64.1
Patchnames:
sleposp3-java-1_7_0-ibm-13124
SUSE Linux Enterprise Server 11 SP3-LTSS
  • java-1_7_0-ibm >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr10.5-64.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr10.5-64.1
Patchnames:
slessp3-java-1_7_0-ibm-13124
SUSE Linux Enterprise Server 11 SP4
  • java-1_7_1-ibm >= 1.7.1_sr4.5-25.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.5-25.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.5-25.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.5-25.1
Patchnames:
slessp4-java-1_7_1-ibm-13123
SUSE Linux Enterprise Server 12 SP1
  • java-1_7_0-openjdk >= 1.7.0.141-42.1
  • java-1_7_0-openjdk-demo >= 1.7.0.141-42.1
  • java-1_7_0-openjdk-devel >= 1.7.0.141-42.1
  • java-1_7_0-openjdk-headless >= 1.7.0.141-42.1
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.5-37.1
  • java-1_8_0-ibm >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr4.5-29.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-844
SUSE-SLE-SERVER-12-SP1-2017-847
SUSE-SLE-SERVER-12-SP1-2017-864
SUSE Linux Enterprise Server 12 SP2
  • java-1_7_0-openjdk >= 1.7.0.141-42.1
  • java-1_7_0-openjdk-demo >= 1.7.0.141-42.1
  • java-1_7_0-openjdk-devel >= 1.7.0.141-42.1
  • java-1_7_0-openjdk-headless >= 1.7.0.141-42.1
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.5-37.1
  • java-1_8_0-ibm >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr4.5-29.1
  • java-1_8_0-openjdk >= 1.8.0.131-26.3
  • java-1_8_0-openjdk-demo >= 1.8.0.131-26.3
  • java-1_8_0-openjdk-devel >= 1.8.0.131-26.3
  • java-1_8_0-openjdk-headless >= 1.8.0.131-26.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-844
SUSE-SLE-SERVER-12-SP2-2017-847
SUSE-SLE-SERVER-12-SP2-2017-864
SUSE-SLE-SERVER-12-SP2-2017-879
SUSE Linux Enterprise Server 12-LTSS
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.5-37.1
Patchnames:
SUSE-SLE-SERVER-12-2017-847
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • java-1_7_0-openjdk >= 1.7.0.141-42.1
  • java-1_7_0-openjdk-demo >= 1.7.0.141-42.1
  • java-1_7_0-openjdk-devel >= 1.7.0.141-42.1
  • java-1_7_0-openjdk-headless >= 1.7.0.141-42.1
  • java-1_8_0-openjdk >= 1.8.0.131-26.3
  • java-1_8_0-openjdk-demo >= 1.8.0.131-26.3
  • java-1_8_0-openjdk-devel >= 1.8.0.131-26.3
  • java-1_8_0-openjdk-headless >= 1.8.0.131-26.3
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-864
SUSE-SLE-RPI-12-SP2-2017-879
SUSE Linux Enterprise Software Development Kit 11 SP4
  • java-1_7_1-ibm >= 1.7.1_sr4.5-25.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.5-25.1
Patchnames:
sdksp4-java-1_7_1-ibm-13123
SUSE Linux Enterprise Software Development Kit 12 SP1
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.5-37.1
  • java-1_8_0-ibm >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr4.5-29.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-844
SUSE-SLE-SDK-12-SP1-2017-847
SUSE Linux Enterprise Software Development Kit 12 SP2
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.5-37.1
  • java-1_8_0-ibm >= 1.8.0_sr4.5-29.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr4.5-29.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-844
SUSE-SLE-SDK-12-SP2-2017-847
SUSE Linux Enterprise for SAP 12
  • java-1_7_1-ibm >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.5-37.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.5-37.1
Patchnames:
SUSE-SLE-SAP-12-2017-847
openSUSE Leap 42.2
  • java-1_7_0-openjdk >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-accessibility >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-bootstrap >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-bootstrap-debuginfo >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-bootstrap-debugsource >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-bootstrap-devel >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-bootstrap-devel-debuginfo >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-bootstrap-headless >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-bootstrap-headless-debuginfo >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-debuginfo >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-debugsource >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-demo >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-demo-debuginfo >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-devel >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-devel-debuginfo >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-headless >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-headless-debuginfo >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-javadoc >= 1.7.0.141-42.3.1
  • java-1_7_0-openjdk-src >= 1.7.0.141-42.3.1
  • java-1_8_0-openjdk >= 1.8.0.131-10.8.1
  • java-1_8_0-openjdk-accessibility >= 1.8.0.131-10.8.1
  • java-1_8_0-openjdk-debuginfo >= 1.8.0.131-10.8.1
  • java-1_8_0-openjdk-debugsource >= 1.8.0.131-10.8.1
  • java-1_8_0-openjdk-demo >= 1.8.0.131-10.8.1
  • java-1_8_0-openjdk-demo-debuginfo >= 1.8.0.131-10.8.1
  • java-1_8_0-openjdk-devel >= 1.8.0.131-10.8.1
  • java-1_8_0-openjdk-devel-debuginfo >= 1.8.0.131-10.8.1
  • java-1_8_0-openjdk-headless >= 1.8.0.131-10.8.1
  • java-1_8_0-openjdk-headless-debuginfo >= 1.8.0.131-10.8.1
  • java-1_8_0-openjdk-javadoc >= 1.8.0.131-10.8.1
  • java-1_8_0-openjdk-src >= 1.8.0.131-10.8.1
Patchnames:
openSUSE-2017-629
openSUSE-2017-662


List of planned updates

The following information is the current evaluation information for this security issue. It might neither be accurate nor complete, Use at own risk.
Product(s) Source package
  • SUSE Linux Enterprise Server for SAP 11 SP3
  • SUSE Linux Enterprise Server for SAP 11 SP4
java-1_6_0-ibm
  • SUSE Linux Enterprise Server for SAP 11 SP3
  • SUSE Linux Enterprise Server for SAP 11 SP4
java-1_7_0-ibm